/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package converter;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 *
 * @author Myron Papadakis
 *
 * Transformation Services Laboratory
 * 
 */
@WebService()
public class Converter {

    private static final double EUROS = 0.73;
    private static final double POUNDS = 0.619;
    private static final double SWISSFRANKS = 0.91;
    private static final double RUB = 32.99;

    /**
     * Web service operation
     */
    @WebMethod(operationName = "convert2Euros")
    public double convert2Euros(@WebParam(name = "dollars")
    double dollars) {
        
        return dollars * EUROS;
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "convert2Pounds")
    public double convert2Pounds(@WebParam(name = "dollars")
    double dollars) {

        return dollars * POUNDS;
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "convert2SwissFranks")
    public double convert2SwissFranks(@WebParam(name = "dollars")
    double dollars) {

        return dollars * SWISSFRANKS;
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "convert2RUB")
    public double convert2RUB(@WebParam(name = "dollars")
    double dollars) {

        return dollars * RUB;
    }
}
