
package converter;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the converter package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Convert2RUB_QNAME = new QName("http://converter/", "convert2RUB");
    private final static QName _Convert2Pounds_QNAME = new QName("http://converter/", "convert2Pounds");
    private final static QName _Convert2EurosResponse_QNAME = new QName("http://converter/", "convert2EurosResponse");
    private final static QName _Convert2SwissFranks_QNAME = new QName("http://converter/", "convert2SwissFranks");
    private final static QName _Convert2SwissFranksResponse_QNAME = new QName("http://converter/", "convert2SwissFranksResponse");
    private final static QName _Convert2PoundsResponse_QNAME = new QName("http://converter/", "convert2PoundsResponse");
    private final static QName _Convert2RUBResponse_QNAME = new QName("http://converter/", "convert2RUBResponse");
    private final static QName _Convert2Euros_QNAME = new QName("http://converter/", "convert2Euros");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: converter
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Convert2RUBResponse }
     * 
     */
    public Convert2RUBResponse createConvert2RUBResponse() {
        return new Convert2RUBResponse();
    }

    /**
     * Create an instance of {@link Convert2RUB }
     * 
     */
    public Convert2RUB createConvert2RUB() {
        return new Convert2RUB();
    }

    /**
     * Create an instance of {@link Convert2Pounds }
     * 
     */
    public Convert2Pounds createConvert2Pounds() {
        return new Convert2Pounds();
    }

    /**
     * Create an instance of {@link Convert2SwissFranksResponse }
     * 
     */
    public Convert2SwissFranksResponse createConvert2SwissFranksResponse() {
        return new Convert2SwissFranksResponse();
    }

    /**
     * Create an instance of {@link Convert2Euros }
     * 
     */
    public Convert2Euros createConvert2Euros() {
        return new Convert2Euros();
    }

    /**
     * Create an instance of {@link Convert2PoundsResponse }
     * 
     */
    public Convert2PoundsResponse createConvert2PoundsResponse() {
        return new Convert2PoundsResponse();
    }

    /**
     * Create an instance of {@link Convert2EurosResponse }
     * 
     */
    public Convert2EurosResponse createConvert2EurosResponse() {
        return new Convert2EurosResponse();
    }

    /**
     * Create an instance of {@link Convert2SwissFranks }
     * 
     */
    public Convert2SwissFranks createConvert2SwissFranks() {
        return new Convert2SwissFranks();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2RUB }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2RUB")
    public JAXBElement<Convert2RUB> createConvert2RUB(Convert2RUB value) {
        return new JAXBElement<Convert2RUB>(_Convert2RUB_QNAME, Convert2RUB.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2Pounds }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2Pounds")
    public JAXBElement<Convert2Pounds> createConvert2Pounds(Convert2Pounds value) {
        return new JAXBElement<Convert2Pounds>(_Convert2Pounds_QNAME, Convert2Pounds.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2EurosResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2EurosResponse")
    public JAXBElement<Convert2EurosResponse> createConvert2EurosResponse(Convert2EurosResponse value) {
        return new JAXBElement<Convert2EurosResponse>(_Convert2EurosResponse_QNAME, Convert2EurosResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2SwissFranks }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2SwissFranks")
    public JAXBElement<Convert2SwissFranks> createConvert2SwissFranks(Convert2SwissFranks value) {
        return new JAXBElement<Convert2SwissFranks>(_Convert2SwissFranks_QNAME, Convert2SwissFranks.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2SwissFranksResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2SwissFranksResponse")
    public JAXBElement<Convert2SwissFranksResponse> createConvert2SwissFranksResponse(Convert2SwissFranksResponse value) {
        return new JAXBElement<Convert2SwissFranksResponse>(_Convert2SwissFranksResponse_QNAME, Convert2SwissFranksResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2PoundsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2PoundsResponse")
    public JAXBElement<Convert2PoundsResponse> createConvert2PoundsResponse(Convert2PoundsResponse value) {
        return new JAXBElement<Convert2PoundsResponse>(_Convert2PoundsResponse_QNAME, Convert2PoundsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2RUBResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2RUBResponse")
    public JAXBElement<Convert2RUBResponse> createConvert2RUBResponse(Convert2RUBResponse value) {
        return new JAXBElement<Convert2RUBResponse>(_Convert2RUBResponse_QNAME, Convert2RUBResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Convert2Euros }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://converter/", name = "convert2Euros")
    public JAXBElement<Convert2Euros> createConvert2Euros(Convert2Euros value) {
        return new JAXBElement<Convert2Euros>(_Convert2Euros_QNAME, Convert2Euros.class, null, value);
    }

}
